import globalPluginHandler
import vision
import addonHandler
import gui
from usa import USA
from ZoomText import ZoomText
import os
import wx
from logHandler import log

#We need to initialize translation and localization support:
addonHandler.initTranslation()

class GlobalPlugin(globalPluginHandler.GlobalPlugin):
	"""
	USA globalPlugin class of which an instance is created, i.e. upon loading of NVDA
	"""

	def __init__(self):
		super(GlobalPlugin, self).__init__()
		vision.registerProviderCls(USA)
		if ZoomText.isInstalled:
			vision.registerProviderCls(ZoomText)

		self.help_item = gui.mainFrame.sysTrayIcon.helpMenu.Append(wx.ID_ANY, _("&Ultimate Screen Access help"), _("Manual for Ultimate Screen Access"))
		gui.mainFrame.sysTrayIcon.Bind(wx.EVT_MENU, lambda e : os.startfile(addonHandler.getCodeAddon().getDocFilePath()), self.help_item)

		log.info("USA plugin initialized")

	def terminate(self):
		gui.mainFrame.sysTrayIcon.helpMenu.Remove(self.help_item)
		self.help_item.Destroy()
		self.help_item=None

		vision.unregisterProviderCls(USA)
		super(GlobalPlugin, self).terminate()
